<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Datastructure: src/array_list.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Datastructure
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">array_list.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="array__list_8h_source.html">array_list.h</a>&quot;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6ec00aaed68440b991b26dd13fec510c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="array__list_8c.html#a6ec00aaed68440b991b26dd13fec510c">init_array_list</a> (<a class="el" href="struct_array__list.html">Array_list</a> *l)</td></tr>
<tr class="separator:a6ec00aaed68440b991b26dd13fec510c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade6797971e903ae5baf44e7bde807bbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="array__list_8c.html#ade6797971e903ae5baf44e7bde807bbd">insert_at</a> (<a class="el" href="struct_array__list.html">Array_list</a> *l, int position, float value)</td></tr>
<tr class="separator:ade6797971e903ae5baf44e7bde807bbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa96f1595f2bc5574c025ec5f5094146b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="array__list_8c.html#aa96f1595f2bc5574c025ec5f5094146b">add_list</a> (<a class="el" href="struct_array__list.html">Array_list</a> *l, float value)</td></tr>
<tr class="separator:aa96f1595f2bc5574c025ec5f5094146b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3916b04721e25076e491304d7ea7e3ce"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="array__list_8c.html#a3916b04721e25076e491304d7ea7e3ce">remove_at</a> (<a class="el" href="struct_array__list.html">Array_list</a> *l, int position)</td></tr>
<tr class="separator:a3916b04721e25076e491304d7ea7e3ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9983c477beb4bf5e1edd69acaf650dd6"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="array__list_8c.html#a9983c477beb4bf5e1edd69acaf650dd6">get_at</a> (<a class="el" href="struct_array__list.html">Array_list</a> *l, int position)</td></tr>
<tr class="separator:a9983c477beb4bf5e1edd69acaf650dd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62d945c6edb93bac33f9e8ee5eb7e057"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="array__list_8c.html#a62d945c6edb93bac33f9e8ee5eb7e057">clear_array</a> (<a class="el" href="struct_array__list.html">Array_list</a> *l)</td></tr>
<tr class="separator:a62d945c6edb93bac33f9e8ee5eb7e057"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aa96f1595f2bc5574c025ec5f5094146b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa96f1595f2bc5574c025ec5f5094146b">&#9670;&nbsp;</a></span>add_list()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void add_list </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_array__list.html">Array_list</a> *&#160;</td>
          <td class="paramname"><em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a62d945c6edb93bac33f9e8ee5eb7e057"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62d945c6edb93bac33f9e8ee5eb7e057">&#9670;&nbsp;</a></span>clear_array()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void clear_array </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_array__list.html">Array_list</a> *&#160;</td>
          <td class="paramname"><em>l</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9983c477beb4bf5e1edd69acaf650dd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9983c477beb4bf5e1edd69acaf650dd6">&#9670;&nbsp;</a></span>get_at()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float get_at </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_array__list.html">Array_list</a> *&#160;</td>
          <td class="paramname"><em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>position</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ec00aaed68440b991b26dd13fec510c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ec00aaed68440b991b26dd13fec510c">&#9670;&nbsp;</a></span>init_array_list()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void init_array_list </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_array__list.html">Array_list</a> *&#160;</td>
          <td class="paramname"><em>l</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ade6797971e903ae5baf44e7bde807bbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade6797971e903ae5baf44e7bde807bbd">&#9670;&nbsp;</a></span>insert_at()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void insert_at </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_array__list.html">Array_list</a> *&#160;</td>
          <td class="paramname"><em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3916b04721e25076e491304d7ea7e3ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3916b04721e25076e491304d7ea7e3ce">&#9670;&nbsp;</a></span>remove_at()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float remove_at </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_array__list.html">Array_list</a> *&#160;</td>
          <td class="paramname"><em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>position</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
